Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCimageSet

## Specification of methods

### WSGIappImageSet Function Description

Form
  WSCimageSet* WSGIappImageSet()
Function
  Obtain a global instance of an image management class existing for each application
Description
Parameters
  None.
Return value
  A pointer to a image management class instance
Notice
  This is a global function, not a member function. The returned pointer should not be released.
Samples

         //Obtain an image instance specifying the name of an image file.
         WSDimage* image = WSGIappImageSet()->getImage("001.jpg");

### getImage Function Description

Form
  WSDimage* getImage(short no)
Function
  Obtain an image instance from the image number
Description
Parameters

  (in)short no | Image number

Return value
  Color instance
Notice
  Do not release the returned image instance
Samples

         //Obtain the image number specifying the image file name
         short ino = WSGIappImageSet()->getImageNo("001.jpg");
         //Obtain an image instance specifying the image number
         WSDimage* image = WSGIappImageSet()->getImage(ino);

  ### getImage Function Description

  Form
    WSDimage* getImage(char* name)
  Function
    Obtain an image instance from an image file name
  Description
  Parameters

    (in)char* name | Image file name

  Return value
    Image instance
  Notice
    Do not release the retuned image instance
  Samples
    Refer to WSGIappImageSet()

  ### getImageNo Function Description

  Form
    short getImageNo(char* name)
  Function
    Obtain the image number from an image file name
  Description
  Parameters

    (in)char* | Image file name

  Return value
    Image number
  Notice
  Samples
    Refer to WSGIappImageSet()

  ### getImageName Function Description

  Form
    char* getImageName(short no)
  Function
    Obtain an image file name from the specified image number's image file
  Description
  Parameters

    (in)short no | Image number

  Return value
    Image file name
  Notice
  Samples

           //Obtain an image file name from the image number
           char* fname = WSGIappImageSet()->getImageName(ino);

  ### destroyImage Function Description

  Form
    long destroyImage(char* fname)
  Function
    Destroy a read image specifying an image file name
  Description
    Destroy a read image buffer to enable re-loading of an image It is used when an image file is updated or to release unneeded images
  Parameters

    (in)char* fname | Image file name

  Return value
    WS_NO_ERR= Normal, otherwise error
  Notice
  Samples

           //Destroy an image buffer specifying a read image file name
           WSGIappImageSet()->destroyImage("001.jpg");

  ### destroyImage Function Description

  Form
    long destroyImage(short no)
  Function
    Destroy an image specifying the image number
  Description
  Parameters

    (in)short no | Image number

  Return value
    WS_NO_ERR= Normal, otherwise error
  Notice
  Samples

           //Destroy an image buffer of a read image file specifying the image number
           short ino = WSGIappImageSet()->getImageNo("001.jpg");
           WSGIappImageSet()->destroyImage(ino);

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004